.sms-failed {
  background-color: #ffdfdf !important;
}

.help-block {
  color : red;
}

.nav-item svg {
    width: 26px !important;
}

.modal {
  overflow: auto !important;
 }

.modal-dialog {
  margin-bottom: 80px;
}
.login-page {
  background-color:#023b72;
}

[class*=sidebar-dark-] {
    background-color: #023b72;
}

#user-panel-profile-photo {
  width:30px;
  height:30px;
  background-position: center;
  background-size: cover;
  margin-right: 5px;
}

.card-primary:not(.card-outline)>.card-header {
    background-color: #023b72;
}

/**********FORMS************/
.form-horizontal .form-group label {
  display: inline-block;
  margin-bottom: 0.5rem;
  width: 196px;
}

.form-horizontal .form-group .form-control {
  width: -webkit-calc(100% - 200px);
  width:    -moz-calc(100% - 200px);
  width:         calc(100% - 200px);
  display: inline-block;
}

.required label:after {
  content : ' *';
  color : red;
}

.help-block {
  margin-bottom: 0;
}

.help-block-error {
  color :red;
}

.custom-file {
    position: relative;
    display: inline-block;
    width: calc(100% - 200px);
    height: calc(2.25rem + 2px);
    margin-bottom: 0;
 }


 .search-badge {
   position: absolute;
  background: #1010104f;
  color: #fff;
  font-weight: bold;
  margin: 0;
  border-radius: 50%;
  top: -1px;
  left: 24px;
  padding: 2.5px 8px;
  font-size: 13px;
  width: 24px;
  height: 24px;
 }

 .sorter-badge {
   position: absolute;
  background: #1010104f;
  color: #fff;
  font-weight: bold;
  margin: 0;
  border-radius: 50%;
  top: -1px;
  left: 24px;
  padding: 2.5px 8px;
  font-size: 13px;
  width: 24px;
  height: 24px;
 }

 .filter-badge {
    position: absolute;
    background: #1010104f;
    color: #fff;
    font-weight: bold;
    margin: 0;
    border-radius: 50%;
    top: -1px;
    left: 24px;
    padding: 2.5px 8px;
    font-size: 13px;
    width: 24px;
    height: 24px;
}


/**********FORMS************/

#technician_school_name {
font-weight: bold;
  font-weight: bold;
  width: 80%;
  overflow: hidden;
  overflow-wrap: normal;
  font-size: 20px;
  line-height: 1;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  display: block;
  display: -webkit-box;
  max-width: 80%;
}


/*************SMS************/
.sms-send-wrapper {
    text-align: right;
}
.sms-send {
    background-color: #e0f0ff;
    margin: 10px;
    padding: 8px 10px;
    border-radius: 5px;
    width: 90%;
    right: 0;
    display: inline-grid;
}

.sms-receive {
  background-color: gainsboro;
  margin: 10px;
  padding: 8px 10px;
  border-radius: 5px;
  width: 90%;
  right: 0;
  display: inline-grid;
}

#contacts-sms_text {
  width: 100% !important;
}


/*************EMAIL************/
.email-send-wrapper {
    text-align: left;
}
.email-send {
    background-color: #e0f0ff;
    margin: 10px;
    padding: 8px 10px;
    border-radius: 5px;
    width: 98%;
    /*right: 0;*/
    display: inline-grid;
}

.email-received {
  background-color: gainsboro;
  margin: 10px;
  padding: 8px 10px;
  border-radius: 5px;
  width: 98%;
  right: 0;
  display: inline-grid;
}

.email-send-wrapper .email-subject,
.email-received-wrapper .email-subject {
  font-weight: bold;
}

.email-send-wrapper .email-date,
.email-received-wrapper .email-date {
  font-size: 0.9em;
}

#contacts-sms_text {
  width: 100% !important;
}


@media (max-width: 575.98px) {

  /**********FORMS************/

  .g-recaptcha {
    transform:scale(0.77);
    -webkit-transform:scale(0.77);
    transform-origin:0 0;
    -webkit-transform-origin:0 0;
  }

  .form-horizontal .form-group label {
    display: block;
    margin-bottom: 0.5rem;
    width: auto;
  }

  .custom-file {
    width: 100%;
    display: block;
  }

  .form-horizontal .form-group .form-control,
  .form-horizontal .form-group .custom-file-input {
    width: 100%;
    display: block;
  }

  .card-footer button {
    margin: 5px 0 0 5px;
  }

  .form-horizontal .help-block-error {
    margin-left: 0;
  }
  /**********FORMS************/

  /**********DATATABLES********/

  .dataTable tr .sorting_asc::after {
    content: url('/dist/DataTables_1.10.25/images/sort_asc.png');
  }
  .dataTable tr .sorting_desc::after {
    content : url('/dist/DataTables_1.10.25/images/sort_desc.png');
  }

  .dataTables_length, .dt-buttons, #datatable_filter, .dataTables_info, .dataTables_paginate {
    width: 100% !important;
    display: block !important;
    padding: 5px 0;
  }

  .dataTables_length label {
    margin: 0;
  }

  .dataTables_filter input {
    margin-left: 10px;
    width: auto;
  }

  .dt-buttons, .dataTables_filter {
    text-align: left !important;
  }

  .dataTables_filter input {
    width: auto !important;
  }

  /**********DATATABLES********/
}
